Bug 121772 - redhat-config-printer does not allow queue names starting with a digit
redhat-config-printer does not allow queue names starting with a digit
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: 168424
  Show dependency treegraph
Reported: 2004-04-27 14:06 EDT by Steve Bonneville
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2006-0073
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:29:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2004-04-27 14:06:28 EDT
Description of problem:

The "Add a new print queue" wizard does not allow queue names that
start with an initial digit.  The CUPS web admin tool and lpadmin are
able to create queues with names that start with a digit or are

The CUPS documentation states: 
"Each printer queue has a name associated with it; the printer name
must start with any printable character except " ", "/", and "@". It
can contain up to 127 letters, numbers, and the underscore (_). Case
is not significant, e.g. "PRINTER", "Printer", and "printer" are
considered to be the same name."

Version-Release number of selected component (if applicable):

Comment 1 Tim Waugh 2004-04-30 09:04:20 EDT
Understood, but this restriction comes from alchemist (and will not go
away).  Needs a complete rewrite of system-config-printer.

*** This bug has been marked as a duplicate of 115078 ***
Comment 2 Pancrazio `ezio' de Mauro 2004-10-04 05:55:05 EDT
Reopened, because bug 115078 is for Fedora Core and this is for Red
Hat Enterprise Linux.
Comment 12 Tim Waugh 2005-01-14 08:49:30 EST
Please try, available here:


These packages have not been properly tested yet.
Comment 13 Tim Waugh 2005-01-17 05:35:27 EST
Please provide feedback.  Do these packages work for you?
Comment 14 Steve Bonneville 2005-01-17 12:16:58 EST
Sorry, been busy with revision work.  Will test shortly.
Comment 15 Steve Bonneville 2005-01-24 11:33:09 EST
I can successfully add and use a print queue that starts with
an initial digit.  Tested on a machine otherwise patched to RHEL 3
Update 4.  I don't see any regressions yet, or problems with my
other print queues.

Those queues starting with numbers do sort before "Browsed queues" 
in the graphical redhat-config-printer interface, which you might
consider a minor appearance nit, but it doesn't seem to hurt
Comment 29 Red Hat Bugzilla 2006-03-15 10:29:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.